## org.w3c.dom.svg
Interface SVGLocatable

All Known Subinterfaces:
  SVGAElement, SVGCircleElement, SVGClipPathElement, SVGDefsElement, SVGEllipseElement, SVGForeignObjectElement, SVGGElement, SVGImageElement, SVGLineElement, SVGPathElement, SVGPolygonElement, SVGPolylineElement, SVGRectElement, SVGSVGElement, SVGSwitchElement, SVGTextElement, SVGTransformable, SVGUseElement

All Known Implementing Classes:
  SVGOMAElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMDefsElement, SVGOMEllipseElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMImageElement, SVGOMLineElement, SVGOMPathElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRectElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMTextElement, SVGOMUseElement

public interface SVGLocatable

Method Summary
`SVGRect` `getBBox()`
`SVGMatrix` `getCTM()`
`SVGElement` `getFarthestViewportElement()`
`SVGElement` `getNearestViewportElement()`
`SVGMatrix` `getScreenCTM()`
`SVGMatrix` `getTransformToElement(SVGElement element)`

Method Detail

### getNearestViewportElement

    public SVGElement getNearestViewportElement()

### getFarthestViewportElement

    public SVGElement getFarthestViewportElement()

### getBBox

    public SVGRect getBBox()

### getCTM

    public SVGMatrix getCTM()

### getScreenCTM

    public SVGMatrix getScreenCTM()

### getTransformToElement

    public SVGMatrix getTransformToElement(SVGElement element)
                                    throws SVGException

  Throws:
    `SVGException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.